VST 3 Interfaces VST 3.7 SDK for developing VST plug-in

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Macros Groups Pages
Public Member Functions | Static Public Attributes | List of all members
ITestSuite Class Referenceabstract

    A collection of tests supporting a hierarchical ordering

[host imp] [create via hostclasses] More...

`#include <itest.h>`

Inheritance diagram for ITestSuite:

## Public Member Functions
virtual tresult | addTest (FIDString name, ITest *test)=0
| append a new test
virtual tresult | addTestSuite (FIDString name, ITestSuite *testSuite)=0
| append an entire test suite as a child suite
virtual tresult | setEnvironment (ITest *environment)=0
Public Member Functions inherited from FUnknown
virtual tresult | queryInterface (const TUID _iid, void **obj)=0
virtual uint32 | addRef ()=0
virtual uint32 | release ()=0

## Static Public Attributes
static const FUID | iid
Static Public Attributes inherited from FUnknown
static const FUID | iid

## Detailed Description

    A collection of tests supporting a hierarchical ordering

[host imp] [create via hostclasses]

## Member Function Documentation

virtual tresult addTest | ( | FIDString | name,
|  | ITest * | test
| ) |  |
| pure virtual

append a new test

virtual tresult addTestSuite | ( | FIDString | name,
|  | ITestSuite * | testSuite
| ) |  |
| pure virtual

append an entire test suite as a child suite

virtual tresult setEnvironment | ( | ITest * | environment | ) |
| pure virtual

## Member Data Documentation

const FUID iid
| static

Empty

Copyright ©2024 Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.